Last Comment Bug 508026 - Restart needed for localized folder name (Drafts/Junk/Sent/Templates/Archives name in folderpane tree) - IMAP only
: Restart needed for localized folder name (Drafts/Junk/Sent/Templates/Archives...
Status: RESOLVED FIXED
[no l10n impact]
: l12y, regression
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: Thunderbird 3.0b4
Assigned To: David :Bienvenu
:
Mentors:
Depends on: 467527
Blocks: 511090
  Show dependency treegraph
 
Reported: 2009-08-03 07:48 PDT by David :Bienvenu
Modified: 2010-10-19 10:33 PDT (History)
15 users (show)
davida: blocking‑thunderbird3+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (1.68 KB, patch)
2009-08-14 15:05 PDT, David :Bienvenu
standard8: review+
standard8: superreview+
Details | Diff | Splinter Review

Description David :Bienvenu 2009-08-03 07:48:32 PDT
When connecting to an existing imap server w/ a new profile, we need to display the localized names of the special folders we recognize immediately, before a restart.
Comment 1 Mark Banner (:standard8) 2009-08-03 07:50:55 PDT
Just to clarify in the subject that this is imap only - bug 467527 fixed the rest of the cases.
Comment 2 David :Bienvenu 2009-08-14 11:24:33 PDT
this is turning out to be a bit complicated - I have a patch in my tree that seems like it should work, and I think it does in some situations. But it does not work in the following situation:

1. Use the new autoconfig wizard to setup your server.
2. Have a server with a non-blank default namespace (e.g., Inbox.)

I believe the verifyLogon url we run from the autoconfig wizard leaves the server in a partly initialized state, or leaves the connection we've run in a somewhat unexpected state. In any case, the default namespace ("") has not been cleared from the host session list entry for that server, so we don't recognize the existing Sent folder as matching the sent folder fcc pref, because the former ends with "Inbox/Sent" and the latter just "Sent". We have code that corrects this, but it relies on the namespace to be set correctly.
Comment 3 David :Bienvenu 2009-08-14 11:26:49 PDT
Also, the verify logon url does a namespace command but doesn't do folder discovery. I don't see why that should cause problems, but it might be an issue. So I'm going to try to first stop it from doing that and see if that helps.
Comment 4 David :Bienvenu 2009-08-14 15:05:05 PDT
Created attachment 394579 [details] [diff] [review]
proposed fix

This should fix it. I think this may also help with some goofiness that occurs on the first use of an account after doing quick setup, because if the namespace isn't set correctly, various things like creating new folders or selecting existing folders may not work (all fixed by doing a restart).
Comment 5 David :Bienvenu 2009-08-19 08:05:47 PDT
fix checked in.

Note You need to log in before you can comment on or make changes to this bug.